IRPCObjectOperations.GetTemplates

View as Markdown

Vault API / core write session or assertion returns metadata structure version

Gets the templates of an object type, optionally only those of one class or matching keywords.

ServiceObjects, versions, properties and files MFiles.IRPCObjectOperations
gRPC method/MFiles.IRPCObjectOperations/GetTemplates
HTTP (mf-http-grpc)POST /grpc/v1/get-templates
RequestGetTemplatesRequest
ResponseGetTemplatesResponse
Book and levelVault API, core
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: GetTemplatesRequest

A structure that specifies the request type for the GetTemplates method.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
object_type_idint32The object type of the templates.
class_idoptional int32Optional class ID for fetching the templates of a specific class.
search_keywords[]repeated stringThe search keywords for the templates.

Response: GetTemplatesResponse

A structure that specifies the response type for the GetTemplates method.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
templates[]repeated TemplateTemplates.
templates[].titlestringThe title of the template file.
templates[].title_resourcestringThe resource key for the title of the template file. It will be available only for blank template file.
templates[].file_template_idstringThe file ID of the template file. It will be available only for blank templates.
templates[].obj_idObjIDThe template object ID. It will be available only for User defined templates.
templates[].obj_id.typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
templates[].obj_id.item_idItemIDThe ID of the object within its type, in item_id.internal_id.
templates[].class_idint32The class of the object version. For blank templates it will be always 0, For user defined templates the class id of the object will be available.
templates[].iconbytesThe icon for the template file. Currently it is not carrying any data. It will be implemented in future.
templates[].restricted_to_classes[]repeated uint32The array of restrict to class IDs. Currently it is not carrying any data. It will be implemented in future.